### Function

# Camel utils_weak_ref_free

since: 3.40

#### Declaration [src]

    void
    camel_utils_weak_ref_free (
      GWeakRef* weak_ref
    )

#### Description [src]

Frees a `GWeakRef` created by camel_utils_weak_ref_new().

Available since: 3.40

This function is not directly available to language bindings.

#### Parameters

`weak_ref`

  Type: `GWeakRef`

  A `GWeakRef`.

  The data is owned by the caller of the function.